Skip to main content
GET
/
skills
List skills
curl --request GET \
  --url https://app.gc.ai/api/external/v1/skills \
  --header 'Authorization: <api-key>'
{
  "skills": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "description": "<string>",
      "content": "<string>",
      "is_official": true,
      "files": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>"
        }
      ],
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  ],
  "pagination": {
    "limit": 123,
    "offset": 123,
    "has_more": true
  }
}

Authorizations

Authorization
string
header
required

API key for authentication. Format: gcai_xxxxxxxxx

Create API keys in the GC AI app under Settings → API.

Query Parameters

limit
integer
default:100

Max items to return (default 100, max 500)

Required range: 1 <= x <= 500
offset
integer | null
default:0

Number of items to skip (default 0)

Required range: x >= 0
q
string

Optional case-insensitive search over skill name and description

Response

List of skills

skills
object[]
required
pagination
object
required